2017-08-21 18:06:00 UTC
33.1 MB
3b5fac462d21ca164b3778647420016315289034
DOCKER_CHANNELstable
DOCKER_VERSION17.06.1-ce
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:88286f41530e93dffd4b964e1db22ce4939fffa4a4c665dab8591fbab03d4926 - 5.73% (1.9 MB)
[#001] sha256:61bf6059e353ab57887578aa1be4a24bdd7519f63dde8d79b973d67164f3e349 - 1.01% (343 KB)
[#002] sha256:6bad573d5ee8d7ee5c2dc0f1fd50c2a3127fda979f6e5efc72ee12cd5f7f2eec - 86.39% (28.6 MB)
[#003] sha256:23f100a7b5444a3a2720e19f05e5f7b3388248d011866c79a5af1a6ef631487c - 0.0% (730 Bytes)
[#004] sha256:312bd234fe7aed658b59d73c436309c99a33a72dcc7f167419c40d73c023b7c2 - 6.36% (2.11 MB)
[#005] sha256:783ec551e2a45add90643754089d40cc875538fd7ca6e8c0c0fa1f68a9ece914 - 0.0% (1.28 KB)
[#006] sha256:9aa7668afd436d4c6d18fe6df976fdcb8dffa0ff98f6dcb4124638937b3bf41a - 0.51% (172 KB)
[#007] sha256:54b7d4b5c3f419eb19e09cf2c89e62c98439ce0249c3cc95d78c1b642753c97b - 0.0% (486 Bytes)
/bin/sh -c #(nop) ADD file:4583e12bf5caec40b861a3409f2a1624c3f3556cc457edb99c9707f00e779e45 in /
2017-06-27 18:42:16 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2017-06-27 20:22:16 UTC/bin/sh -c apk add --no-cache ca-certificates
2017-06-29 21:34:26 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=stable
2017-08-21 18:05:38 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=17.06.1-ce
2017-08-21 18:05:43 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps curl tar ; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! curl -fL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; apk del .fetch-deps; dockerd -v; docker -v
2017-08-21 18:05:44 UTC/bin/sh -c #(nop) COPY file:0d94e1cd679f133aab807891a1b00b6aef1a9f1f884108e7a17ddf50ab88f1fb in /usr/local/bin/
2017-08-21 18:05:44 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2017-08-21 18:05:44 UTC/bin/sh -c #(nop) CMD ["sh"]
2017-08-21 18:05:54 UTC/bin/sh -c apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz
2017-08-21 18:05:54 UTC/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid
2017-08-21 18:05:55 UTC/bin/sh -c #(nop) ENV DIND_COMMIT=3b5fac462d21ca164b3778647420016315289034
2017-08-21 18:05:58 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps libressl; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind; apk del .fetch-deps
2017-08-21 18:05:59 UTC/bin/sh -c #(nop) COPY file:7070e4b35c137a8ec5904300d19b8f7ee74aa76659517767c617249cece98a4a in /usr/local/bin/
2017-08-21 18:05:59 UTC/bin/sh -c #(nop) VOLUME [/var/lib/docker]
2017-08-21 18:05:59 UTC/bin/sh -c #(nop) EXPOSE 2375/tcp
2017-08-21 18:06:00 UTC/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]
2017-08-21 18:06:00 UTC/bin/sh -c #(nop) CMD []
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.